Skip to main content
POST
/
api
/
v1
/
inventory
/
brand
/
{brand_id}
/
facility
/
{facility_id}
Post Inventory Levels
curl --request POST \
  --url https://api.retailreadyai.com/api/v1/inventory/brand/{brand_id}/facility/{facility_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "sku": "PILLOW-01",
      "available_quantity": 120
    },
    {
      "sku": "PILLOW-02",
      "available_quantity": 0
    }
  ]
}
'
{
  "message": "846 inventory advice sent successfully",
  "data": {
    "results": [
      {
        "edi_config_id": "1f2c1c4b-3d40-4e2c-8a8a-39d1e0a4cc11",
        "retailer_id": "7eab3720-1944-4b01-aea6-972492f017e5",
        "retailer_name": "Target",
        "brand_name": "Acme Outdoor",
        "organization_name": "Acme Holdings",
        "success": true,
        "edi_transaction_id": "f2a73e8b-3c8b-4f1e-a4d2-1c2cda30c6e9",
        "error": null,
        "failed_skus": null
      }
    ],
    "summary": {
      "total": 1,
      "succeeded": 1,
      "failed": 0
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

UUID of the brand

facility_id
string<uuid>
required

UUID of the facility

Body

application/json
items
object[]
required

On-hand inventory levels by SKU. Required, must contain between 1 and 1000 entries, and SKUs must be unique within the request.

Required array length: 1 - 1000 elements

Response

846 inventory advice sent successfully for every matching EDI config

message
string
Example:

"846 inventory advice sent successfully"

data
object